package modelo;
// Generated 18 ene. 2021 17:26:16 by Hibernate Tools 5.4.18.Final

import java.util.HashSet;
import java.util.Set;

/**
 * Cliente generated by hbm2java
 */
public class Cliente implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer id;
	private String nombre;
	private String direccion;
	private String passwd;
	private Set<Factura> facturas = new HashSet<Factura>(0);

	public Cliente() {
	}

	public Cliente(String nombre) {
		this.nombre = nombre;
	}

	public Cliente(String nombre, String direccion, String passwd, Set facturas) {
		this.nombre = nombre;
		this.direccion = direccion;
		this.passwd = passwd;
		this.facturas = facturas;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getDireccion() {
		return this.direccion;
	}

	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	public String getPasswd() {
		return this.passwd;
	}

	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}

	public Set getFacturas() {
		return this.facturas;
	}

	public void setFacturas(Set facturas) {
		this.facturas = facturas;
	}

}
